
import {gql, urlUpload, actionPromise} from "./index";

const actionImgOne = (_id) => {
  const queryJson = JSON.stringify([{
    "_id": `${_id}`
  }]);
  return (actionPromise('image', gql(
    `query findImg($query: String)  {
      ImageFindOne(query: $query) {
        _id
        createdAt
        url
      }
    }`, {query: queryJson}
  )))
}

 async function updateImgAction(ref, getData) {
   debugger
    let file = new FormData(ref.current);

    await fetch(`${urlUpload}/upload`, {
      method: "POST",
      headers: localStorage.authToken ? {Authorization: 'Bearer ' + localStorage.authToken} : {},
      body: file
    }).then(res => res.json()).then((res) => {
        getData(res) 
    })
    // .then((res) => res.json()).then((res) => {
    //   actionImgOne(res._id)
    // })
  
  
  }    

  

  export default updateImgAction;